## linux-backports-modules-2.6.31 2.6.31-14.16

=== updates/alsa-driver/Makefile ===
#
# Makefile for ALSA driver
# Copyright (c) 1994-98 by Jaroslav Kysela <perex@perex.cz>
#

ifneq ($(KERNELRELEASE),)
# call from 2.6 kernel build system

obj-m += acore/ i2c/ drivers/ isa/ pci/ ppc/ arm/ synth/ usb/ sparc/ parisc/ sh/ pcmcia/ aoa/ soc/ misc/

else

ALSAKERNELDIR = ../alsa-kmirror

ifndef IGROUP
IGROUP = root
endif
ifndef IUSER
IUSER = root
endif

ifeq (Makefile.conf,$(wildcard Makefile.conf))
include Makefile.conf
include toplevel.config
else
.PHONY: dummy1
dummy1:
	$(MAKE) all-deps
	@echo
	@echo "Please, run the configure script as first..."
	@echo
MAINSRCDIR := $(shell /bin/pwd)
endif

SND_TOPDIR   = $(MAINSRCDIR)
export SND_TOPDIR

ifeq (,$(wildcard acinclude.m4))
.PHONY: dummy2
dummy2:
	$(MAKE) all-deps
	@echo
	@echo "Please, run the configure script as first..."
	@echo
endif

ifdef NEW_KBUILD
ifdef V
  ifeq ("$(origin V)", "command line")
    KBUILD_VERBOSE = $(V)
  endif
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif
ifdef C
  ifeq ("$(origin C)", "command line")
    KBUILD_CHECKSRC = $(C)
  endif
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif
export KBUILD_VERBOSE KBUILD_CHECKSRC
endif

SUBDIRS  = include acore i2c drivers isa synth pci aoa soc
CSUBDIRS =

ifndef NEW_KBUILD
SUBDIRS += support
endif

ifeq (y,$(CONFIG_ARM))
SUBDIRS  += arm
endif
ifeq (y,$(CONFIG_PPC))
SUBDIRS  += ppc
endif
ifeq (y,$(CONFIG_SPARC32))
SUBDIRS  += sparc
else
ifeq (y,$(CONFIG_SPARC64))
SUBDIRS  += sparc
endif
endif
ifeq (y,$(CONFIG_MIPS))
SUBDIRS  += mips
endif
ifeq (y,$(CONFIG_SGI))
SUBDIRS  += hal2
endif
ifeq (y,$(CONFIG_USB))
SUBDIRS  += usb
endif
ifeq (y,$(CONFIG_PCMCIA))
SUBDIRS  += pcmcia
endif
ifeq (y,$(CONFIG_PARISC))
SUBDIRS  += parisc
endif
ifeq (y,$(CONFIG_SUPERH))
SUBDIRS  += sh
endif
ifeq (m,$(CONFIG_AC97_BUS))
SUBDIRS  += misc
endif
CSUBDIRS += test utils

KCONFIG_FILES = $(shell find $(SND_TOPDIR) -name Kconfig) $(shell find $(SND_TOPDIR)/alsa-kernel/ -name Kconfig)

.PHONY: all
all: compile

alsa-kernel/sound_core.c:
	ln -sf $(ALSAKERNELDIR) alsa-kernel
	ln -sf alsa-kernel sound

utils/mod-deps: utils/mod-deps.c
	gcc utils/mod-deps.c -o utils/mod-deps

toplevel.config.in: $(KCONFIG_FILES) alsa-kernel/sound_core.c utils/mod-deps kconfig-vers
	utils/mod-deps --basedir $(SND_TOPDIR)/alsa-kernel --hiddendir $(SND_TOPDIR) --versiondep $(SND_TOPDIR)/kconfig-vers --makeconf > toplevel.config.in

acinclude.m4: $(KCONFIG_FILES) alsa-kernel/sound_core.c utils/mod-deps kconfig-vers
	utils/mod-deps --basedir $(SND_TOPDIR)/alsa-kernel --hiddendir $(SND_TOPDIR) --versiondep $(SND_TOPDIR)/kconfig-vers --acinclude > acinclude.m4

include/config1.h.in: $(KCONFIG_FILES) alsa-kernel/sound_core.c utils/mod-deps kconfig-vers
	utils/mod-deps --basedir $(SND_TOPDIR)/alsa-kernel --hiddendir $(SND_TOPDIR) --versiondep $(SND_TOPDIR)/kconfig-vers --include > include/config1.h.in

all-deps: toplevel.config.in acinclude.m4 include/config1.h.in

include/sndversions.h:
	$(MAKE) dep

.PHONY: compile
compile: include/sndversions.h
ifdef NEW_KBUILD
	$(MAKE) -C $(CONFIG_SND_KERNELDIR) SUBDIRS=$(MAINSRCDIR) $(MAKE_ADDS) CPP="$(CPP)" CC="$(CC)" modules
	utils/link-modules $(SND_TOPDIR)
else
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d; then exit 1; fi; done
endif
	@echo
	@echo "ALSA modules were successfully compiled."
	@echo

.PHONY: dep
dep:
ifdef NEW_KBUILD
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d prepare; then exit 1; fi; done
else
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d fastdep; then exit 1; fi; done
endif

.PHONY: map
map:
	awk "{ if ( length( $$1 ) != 0 ) print $$1 }" snd.map | sort -o snd.map1
	mv -f snd.map1 snd.map

.PHONY: install
install: install-headers install-modules install-scripts check-snd-prefix
	@if [ -L /dev/snd ]; then \
		echo "The ALSA devices were removed from /proc/asound/dev directory." ; \
		echo "Creating static device entries in /dev/snd." ; \
		$(SND_TOPDIR)/snddevices ; \
	fi
	cat WARNING

.PHONY: install-headers
install-headers:
	if [ -L $(DESTDIR)$(prefix)/include/sound ]; then \
		rm -f $(DESTDIR)$(prefix)/include/sound; \
		ln -sf $(MAINSRCDIR)/include/sound $(DESTDIR)$(prefix)/include/sound; \
	else \
		rm -rf $(DESTDIR)$(prefix)/include/sound; \
		install -d -m 755 -g $(IGROUP) -o $(IUSER) $(DESTDIR)$(prefix)/include/sound; \
		for f in include/sound/*.h; do \
			install -m 644 -g $(IGROUP) -o $(IUSER) $$f $(DESTDIR)$(prefix)/include/sound; \
		done \
	fi

ifeq ($(CONFIG_SND_KERNELDIR)/System.map,$(wildcard $(CONFIG_SND_KERNELDIR)/System.map))
SYSTEM_MAP_OPT = -F $(CONFIG_SND_KERNELDIR)/System.map
endif

.PHONY: install-modules
install-modules:
ifeq ($(moddir_tree),y)
	find $(DESTDIR)$(moddir) -name 'snd*.*o' | xargs rm -f
	find $(DESTDIR)$(moddir) -name 'snd*.*o.gz' | xargs rm -f
	find $(DESTDIR)$(moddir) -name 'ac97_bus.*o' | xargs rm -f
	find $(DESTDIR)$(moddir) -name 'ac97_bus.*o.gz' | xargs rm -f
else
	rm -f $(DESTDIR)$(moddir)/snd*.*o $(DESTDIR)$(moddir)/persist.o $(DESTDIR)$(moddir)/isapnp.o
	rm -f $(DESTDIR)$(moddir)/snd*.*o.gz $(DESTDIR)$(moddir)/persist.o.gz $(DESTDIR)$(moddir)/isapnp.o.gz
endif
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d modules_install; then exit 1; fi; done
ifeq ($(DESTDIR),)
	-/sbin/depmod -a $(kaversion) $(SYSTEM_MAP_OPT)
else
	@echo "*** This is a \`staged' install using the prefix"
	@echo "***	\"$(DESTDIR)\"."
	@echo "***"
	@echo "*** Once the modules have been moved to their final destination you must run the command"
	@echo "***	\"/sbin/depmod -a $(kaversion) $(SYSTEM_MAP_OPT)\"."
	@echo "***"
	@echo "*** Alternatively, if you build a package (e.g. rpm), include the"
	@echo "*** depmode command above in the post-(un)install procedure."
endif

.PHONY: install-scripts
install-scripts:
	@for d in /sbin/init.d /etc/rc.d/init.d /etc/init.d; do \
	 if [ -d $(DESTDIR)$$d ]; then \
	   if [ -f $(DESTDIR)$$d/alsasound ]; then \
	     cmp -s utils/alsasound $(DESTDIR)$$d/alsasound || \
	       install -m 755 -g $(IGROUP) -o $(IUSER) utils/alsasound $(DESTDIR)$$d/alsasound.new; \
	     break; \
	   fi; \
	   install -m 755 -g $(IGROUP) -o $(IUSER) utils/alsasound $(DESTDIR)$$d/alsasound; \
	   break; \
	fi; done

.PHONY: check-snd-prefix
check-snd-prefix:
	@ if [ x"$(DESTDIR)" = x -a -f /etc/modules.conf ]; then \
	  if grep -s -q snd_ /etc/modules.conf; then \
	    echo;\
	    echo "             ===== WARNING =====";\
	    echo;\
	    echo "The options for ALSA modules on your system still include snd_ prefix,";\
	    echo "which is obsoleted now.  Please fix /etc/modules.conf.";\
	    echo "For convenience, you can use utils/module-options script to convert";\
	    echo "the snd_ prefix automatically.";\
	    echo;\
	fi; fi

.PHONY: clean1
clean1:
	rm -f .depend *.o snd.map*
	rm -f $(DEXPORT)/*.ver
	rm -f modules/*.o modules/*.ko

.PHONY: clean
clean: clean1
ifdef NEW_KBUILD
	rm -rf .tmp_versions
endif
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d clean; then exit 1; fi; done
	@for d in $(CSUBDIRS); do if ! $(MAKE) -C $$d clean; then exit 1; fi; done

.PHONY: mrproper
mrproper: clean1
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d mrproper; then exit 1; fi; done
	@for d in $(CSUBDIRS); do if ! $(MAKE) -C $$d mrproper; then exit 1; fi; done
	rm -f *~ out.txt *.orig *.rej .#* .gdb_history
	rm -f doc/*~
	rm -f config.cache config.log config.status Makefile.conf
	rm -f utils/alsa-driver.spec
	rm -f `find ../alsa-kernel -name "*~"`
	rm -f `find ../alsa-kernel -name "*.orig"`
	rm -f `find ../alsa-kernel -name "*.rej"`
	rm -f `find ../alsa-kernel -name ".#*"`
	rm -f `find ../alsa-kernel -name "out.txt"`
	rm -rf autom4te.cache

.PHONY: cvsclean hgclean
cvsclean: mrproper
	rm -f configure snddevices aclocal.m4 acinclude.m4 include/config.h include/config1.h \
	  include/config1.h.in toplevel.config toplevel.config.in \
	  alsa-kernel sound
	rm -rf include/linux
hgclean: cvsclean

.PHONY: pack
pack: mrproper
	chmod 755 utils/alsasound
	# big note: use always '--bzip2 -p' where -p is fake argument
	# it seems that some older tar has wrong getopt list
	{ \
		cd .. ; \
		rm -f alsa-driver/alsa-kernel ; \
		mv alsa-kmirror alsa-driver/alsa-kernel ; \
		mv alsa-driver alsa-driver-$(CONFIG_SND_VERSION) ; \
		tar --exclude=CVS --exclude=kchanges --exclude=.cvsignore \
                    --exclude='.hg*' --exclude=.gitignore \
                    --owner=$(IGROUP) --group=$(IUSER) -cv --bzip2 -p \
                    -f alsa-driver-$(CONFIG_SND_VERSION).tar.bz2 alsa-driver-$(CONFIG_SND_VERSION) ; \
		mv alsa-driver-$(CONFIG_SND_VERSION) alsa-driver ; \
		mv alsa-driver/alsa-kernel alsa-kmirror ; \
	}

.PHONY: uninstall
uninstall:
	-rm -rf $(DESTDIR)$(prefix)/include/sound
ifeq ($(moddir_tree),y)
	{ \
		for i in core $(SUBDIRS) ; do \
			rm -rf $(DESTDIR)$(moddir)/$$i ; \
		done ; \
	}
else
	rm -f $(DESTDIR)$(moddir)/snd*.o $(DESTDIR)$(moddir)/persist.o $(DESTDIR)$(moddir)/isapnp.o
endif
	rm -f $(DESTDIR)/sbin/init.d/alsasound
	rm -f $(DESTDIR)/etc/rc.d/init.d/alsasound
	rm -f $(DESTDIR)/etc/init.d/alsasound

.PHONY: TAGS
TAGS:
	find . -name '*.[ch]' | etags -

endif

=== updates/compat-wireless-2.6/Makefile ===
export KMODDIR?=       updates
KMODDIR_ARG:=   "INSTALL_MOD_DIR=$(KMODDIR)"
ifneq ($(origin KLIB), undefined)
KMODPATH_ARG:=  "INSTALL_MOD_PATH=$(KLIB)"
else
export KLIB:=          /lib/modules/$(shell uname -r)
endif
export KLIB_BUILD ?=	$(KLIB)/build
# Sometimes not available in the path
MODPROBE := /sbin/modprobe
MADWIFI=$(shell $(MODPROBE) -l ath_pci)
OLD_IWL=$(shell $(MODPROBE) -l iwl4965)

DESTDIR?=

ifneq ($(KERNELRELEASE),)

include $(M)/$(COMPAT_CONFIG)

NOSTDINC_FLAGS := -I$(M)/include/ -include $(M)/include/net/compat.h $(CFLAGS)

obj-y := net/wireless/ net/mac80211/ net/rfkill/
ifeq ($(ONLY_CORE),)
obj-m += \
	drivers/ssb/ \
	drivers/misc/eeprom/ \
	drivers/net/ \
	drivers/net/usb/ \
	drivers/net/wireless/
endif

else

export PWD :=	$(shell pwd)

# These exported as they are used by the scripts
# to check config and compat autoconf
export COMPAT_CONFIG=config.mk
export CONFIG_CHECK=.$(COMPAT_CONFIG)_md5sum.txt
export COMPAT_AUTOCONF=include/linux/compat_autoconf.h
export CREL=$(shell cat $(PWD)/compat-release)
export CREL_PRE:=.compat_autoconf_
export CREL_CHECK:=$(CREL_PRE)$(CREL)

include $(PWD)/$(COMPAT_CONFIG)

all: modules

modules: $(CREL_CHECK)
	@./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) modules
	@touch $@

# With the above and this we make sure we generate a new compat autoconf per
# new relase of compat-wireless-2.6 OR when the user updates the 
# $(COMPAT_CONFIG) file
$(CREL_CHECK):
	@# Force to regenerate compat autoconf
	@rm -f $(CONFIG_CHECK)
	@./scripts/check_config.sh
	@touch $@
	@md5sum $(COMPAT_CONFIG) > $(CONFIG_CHECK)

install: uninstall install-modules install-scripts

install-modules: modules
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) \
		modules_install
	@./scripts/update-initramfs

install-scripts:
	@# All the scripts we can use
	@mkdir -p $(DESTDIR)/usr/lib/compat-wireless/
	@install scripts/modlib.sh	$(DESTDIR)/usr/lib/compat-wireless/
	@install scripts/madwifi-unload	$(DESTDIR)/usr/sbin/
	@# This is to allow switching between drivers without blacklisting
	@install scripts/athenable	$(DESTDIR)/usr/sbin/
	@install scripts/b43enable	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-enable	$(DESTDIR)/usr/sbin/
	@install scripts/athload	$(DESTDIR)/usr/sbin/
	@install scripts/b43load	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-load	$(DESTDIR)/usr/sbin/
	@if [ ! -z "$(MADWIFI)" ] && [ -z "$(DESTDIR)" ]; then \
		echo ;\
		echo -n "Note: madwifi detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo athenable madwifi"  ;\
		echo ;\
		echo Running athenable ath5k...;\
		/usr/sbin/athenable ath5k ;\
	fi
	@if [ ! -z "$(OLD_IWL)" ] && [ -z "$(DESTDIR)" ]; then \
		echo ;\
		echo -n "Note: iwl4965 detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo iwl-load iwl4965"  ;\
		echo ;\
		echo Running iwl-enable iwlagn...;\
		/usr/sbin/iwl-enable iwlagn ;\
	fi
	@# If on distributions like Mandriva which like to
	@# compress their modules this will find out and do
	@# it for you. Reason is some old version of modutils
	@# won't know mac80211.ko should be used instead of
	@# mac80211.ko.gz
	@./scripts/compress_modules
	@# Mandrake doesn't have a depmod.d/ conf file to prefer
	@# the updates/ dir which is what we use so we add one for it
	@# (or any other distribution that doens't have this).
	@./scripts/check_depmod
	@/sbin/depmod -ae
	@echo
	@echo "Currently detected wireless subsystem modules:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l ar9170usb
	@$(MODPROBE) -l at76c50x-usb
	@$(MODPROBE) -l ath
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l b44
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l eeprom_93cx6
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l lib80211_crypt_ccmp
	@$(MODPROBE) -l lib80211_crypt_tkip
	@$(MODPROBE) -l lib80211_crypt_wep
	@$(MODPROBE) -l libertas
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l libertas_sdio
	@$(MODPROBE) -l libertas_spi
	@$(MODPROBE) -l libertas_tf
	@$(MODPROBE) -l libertas_tf_usb
	@$(MODPROBE) -l libipw
	@$(MODPROBE) -l mac80211_hwsim
	@$(MODPROBE) -l mwl8k
	@$(MODPROBE) -l p54common
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54spi
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt2x00lib
	@$(MODPROBE) -l rt2x00pci
	@$(MODPROBE) -l rt2x00usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l usb8xxx
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l zd1211rw
	@echo 
	@echo Now run:
	@echo 
	@echo make unload
	@echo
	@echo And then load the wireless module you need. If unsure reboot.
	@echo

uninstall:
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/net/mac80211/
	@rm -rf $(KLIB)/$(KMODDIR)/net/rfkill/
	@rm -rf $(KLIB)/$(KMODDIR)/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/ssb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/usb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/wireless/
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/net/b44.ko*
	@/sbin/depmod -ae
	@echo
	@echo "Your old wireless subsystem modules were left intact:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l ar9170usb
	@$(MODPROBE) -l at76c50x-usb
	@$(MODPROBE) -l ath
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l b44
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l eeprom_93cx6
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l lib80211_crypt_ccmp
	@$(MODPROBE) -l lib80211_crypt_tkip
	@$(MODPROBE) -l lib80211_crypt_wep
	@$(MODPROBE) -l libertas
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l libertas_sdio
	@$(MODPROBE) -l libertas_spi
	@$(MODPROBE) -l libertas_tf
	@$(MODPROBE) -l libertas_tf_usb
	@$(MODPROBE) -l libipw
	@$(MODPROBE) -l mac80211_hwsim
	@$(MODPROBE) -l mwl8k
	@$(MODPROBE) -l p54common
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54spi
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt2x00lib
	@$(MODPROBE) -l rt2x00pci
	@$(MODPROBE) -l rt2x00usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l usb8xxx
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l zd1211rw
	@
	@echo 

clean:
	@if [ -d net -a -d $(KLIB_BUILD) ]; then \
		$(MAKE) -C $(KLIB_BUILD) M=$(PWD) clean ;\
	fi
	@rm -f $(CREL_PRE)*
unload:
	@./scripts/unload.sh

load: unload
	@./scripts/load.sh

.PHONY: all clean install uninstall unload load

endif

clean-files += Module.symvers Module.markers modules modules.order
clean-files += $(CREL_CHECK) $(CONFIG_CHECK)

=== updates/alsa-driver/acore/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

clean-files := info.c pcm.c pcm_native.c control.c hwdep.c init.c rawmidi.c \
	       sound.c timer.c memalloc.c misc.c hrtimer.c

export-objs := control.o device.o info.o info_oss.o init.o isadma.o memory.o \
	misc.o misc_driver.o sound.o sound_oss.o \
	pcm.o pcm_lib.o pcm_memory.o pcm_misc.o pcm_native.o \
	rawmidi.o timer.o hwdep.o memalloc.o vmaster.o wrappers.o

include $(SND_TOPDIR)/alsa-kernel/core/Makefile

snd-objs += wrappers.o misc_driver.o
ifeq ($(CONFIG_SND_DEBUG_MEMORY),y)
snd-objs += memory_debug.o
endif
snd-page-alloc-objs += memory_wrapper.o
snd-hpet-objs := hpetimer.o

obj-$(CONFIG_SND_HPET) += snd-hpet.o
obj-$(CONFIG_SND_BIT32_EMUL) += ioctl32/

include $(SND_TOPDIR)/Rules.make

info.c: info.inc info.patch $(SND_TOPDIR)/alsa-kernel/core/info.c
pcm.c: pcm.patch $(SND_TOPDIR)/alsa-kernel/core/pcm.c
pcm_native.c: pcm_native.patch $(SND_TOPDIR)/alsa-kernel/core/pcm_native.c
control.c: control.patch $(SND_TOPDIR)/alsa-kernel/core/control.c
hwdep.c: hwdep.patch $(SND_TOPDIR)/alsa-kernel/core/hwdep.c
init.c: init.patch $(SND_TOPDIR)/alsa-kernel/core/init.c
rawmidi.c: rawmidi.patch $(SND_TOPDIR)/alsa-kernel/core/rawmidi.c
sound.c: sound.patch $(SND_TOPDIR)/alsa-kernel/core/sound.c
timer.c: timer.patch $(SND_TOPDIR)/alsa-kernel/core/timer.c
memalloc.c: memalloc.patch memalloc.inc memalloc.inc1 $(SND_TOPDIR)/alsa-kernel/core/memalloc.c
misc.c: misc.patch $(SND_TOPDIR)/alsa-kernel/core/misc.c
hrtimer.c: hrtimer.patch $(SND_TOPDIR)/alsa-kernel/core/hrtimer.c

=== updates/alsa-driver/isa/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

#
# ALSA extra code
#

isapnp-files := als100.isapnp azt2320.isapnp dt019x.isapnp opl3sa2.isapnp \
		cmi8330.isapnp es18xx.isapnp sscape.isapnp

#
#
#

include $(SND_TOPDIR)/alsa-kernel/isa/Makefile

include $(SND_TOPDIR)/Rules.make

=== updates/compat-wireless-2.6/net/wireless/Makefile ===
obj-$(CONFIG_CFG80211) += cfg80211.o
obj-$(CONFIG_LIB80211) += lib80211.o
obj-$(CONFIG_LIB80211_CRYPT_WEP) += lib80211_crypt_wep.o
obj-$(CONFIG_LIB80211_CRYPT_CCMP) += lib80211_crypt_ccmp.o
obj-$(CONFIG_LIB80211_CRYPT_TKIP) += lib80211_crypt_tkip.o

cfg80211-y += core.o sysfs.o radiotap.o util.o reg.o scan.o nl80211.o
cfg80211-y += mlme.o ibss.o sme.o chan.o
cfg80211-$(CONFIG_CFG80211_DEBUGFS) += debugfs.o
cfg80211-$(CONFIG_WIRELESS_EXT) += wext-compat.o wext-sme.o

ccflags-y += -D__CHECK_ENDIAN__
# Compat-wireless kernel compatibility code
cfg80211-$(CONFIG_COMPAT_WIRELESS_22) += compat-2.6.22.o
cfg80211-$(CONFIG_COMPAT_WIRELESS_23) += compat-2.6.23.o
cfg80211-$(CONFIG_COMPAT_WIRELESS_24) += compat-2.6.24.o
cfg80211-$(CONFIG_COMPAT_WIRELESS_25) += compat-2.6.25.o
cfg80211-$(CONFIG_COMPAT_WIRELESS_26) += compat-2.6.26.o
cfg80211-$(CONFIG_COMPAT_WIRELESS_27) += compat-2.6.27.o
cfg80211-$(CONFIG_COMPAT_WIRELESS_28) += compat-2.6.28.o
cfg80211-$(CONFIG_COMPAT_WIRELESS_29) += compat-2.6.29.o
cfg80211-$(CONFIG_COMPAT_WIRELESS_30) += compat-2.6.30.o
cfg80211-$(CONFIG_COMPAT_WIRELESS_31) += compat-2.6.31.o
cfg80211-$(CONFIG_COMPAT_WIRELESS_32) += compat-2.6.32.o

=== updates/alsa-driver/alsa-kernel/soc/codecs/Makefile ===
snd-soc-ac97-objs := ac97.o
snd-soc-ad1836-objs := ad1836.o
snd-soc-ad1938-objs := ad1938.o
snd-soc-ad1980-objs := ad1980.o
snd-soc-ad73311-objs := ad73311.o
snd-soc-ak4104-objs := ak4104.o
snd-soc-ak4535-objs := ak4535.o
snd-soc-ak4642-objs := ak4642.o
snd-soc-ak4671-objs := ak4671.o
snd-soc-cs4270-objs := cs4270.o
snd-soc-cx20442-objs := cx20442.o
snd-soc-l3-objs := l3.o
snd-soc-pcm3008-objs := pcm3008.o
snd-soc-spdif-objs := spdif_transciever.o
snd-soc-ssm2602-objs := ssm2602.o
snd-soc-stac9766-objs := stac9766.o
snd-soc-tlv320aic23-objs := tlv320aic23.o
snd-soc-tlv320aic26-objs := tlv320aic26.o
snd-soc-tlv320aic3x-objs := tlv320aic3x.o
snd-soc-twl4030-objs := twl4030.o
snd-soc-uda134x-objs := uda134x.o
snd-soc-uda1380-objs := uda1380.o
snd-soc-wm8350-objs := wm8350.o
snd-soc-wm8400-objs := wm8400.o
snd-soc-wm8510-objs := wm8510.o
snd-soc-wm8523-objs := wm8523.o
snd-soc-wm8580-objs := wm8580.o
snd-soc-wm8711-objs := wm8711.o
snd-soc-wm8728-objs := wm8728.o
snd-soc-wm8731-objs := wm8731.o
snd-soc-wm8750-objs := wm8750.o
snd-soc-wm8753-objs := wm8753.o
snd-soc-wm8776-objs := wm8776.o
snd-soc-wm8900-objs := wm8900.o
snd-soc-wm8903-objs := wm8903.o
snd-soc-wm8940-objs := wm8940.o
snd-soc-wm8960-objs := wm8960.o
snd-soc-wm8961-objs := wm8961.o
snd-soc-wm8971-objs := wm8971.o
snd-soc-wm8974-objs := wm8974.o
snd-soc-wm8988-objs := wm8988.o
snd-soc-wm8990-objs := wm8990.o
snd-soc-wm8993-objs := wm8993.o
snd-soc-wm9081-objs := wm9081.o
snd-soc-wm9705-objs := wm9705.o
snd-soc-wm9712-objs := wm9712.o
snd-soc-wm9713-objs := wm9713.o
snd-soc-wm-hubs-objs := wm_hubs.o

# Amp
snd-soc-max9877-objs := max9877.o
snd-soc-tpa6130a2-objs := tpa6130a2.o

obj-$(CONFIG_SND_SOC_AC97_CODEC)	+= snd-soc-ac97.o
obj-$(CONFIG_SND_SOC_AD1836)	+= snd-soc-ad1836.o
obj-$(CONFIG_SND_SOC_AD1938)	+= snd-soc-ad1938.o
obj-$(CONFIG_SND_SOC_AD1980)	+= snd-soc-ad1980.o
obj-$(CONFIG_SND_SOC_AD73311) += snd-soc-ad73311.o
obj-$(CONFIG_SND_SOC_AK4104)	+= snd-soc-ak4104.o
obj-$(CONFIG_SND_SOC_AK4535)	+= snd-soc-ak4535.o
obj-$(CONFIG_SND_SOC_AK4642)	+= snd-soc-ak4642.o
obj-$(CONFIG_SND_SOC_AK4671)	+= snd-soc-ak4671.o
obj-$(CONFIG_SND_SOC_CS4270)	+= snd-soc-cs4270.o
obj-$(CONFIG_SND_SOC_CX20442)	+= snd-soc-cx20442.o
obj-$(CONFIG_SND_SOC_L3)	+= snd-soc-l3.o
obj-$(CONFIG_SND_SOC_PCM3008)	+= snd-soc-pcm3008.o
obj-$(CONFIG_SND_SOC_SPDIF)	+= snd-soc-spdif.o
obj-$(CONFIG_SND_SOC_SSM2602)	+= snd-soc-ssm2602.o
obj-$(CONFIG_SND_SOC_STAC9766)	+= snd-soc-stac9766.o
obj-$(CONFIG_SND_SOC_TLV320AIC23)	+= snd-soc-tlv320aic23.o
obj-$(CONFIG_SND_SOC_TLV320AIC26)	+= snd-soc-tlv320aic26.o
obj-$(CONFIG_SND_SOC_TLV320AIC3X)	+= snd-soc-tlv320aic3x.o
obj-$(CONFIG_SND_SOC_TWL4030)	+= snd-soc-twl4030.o
obj-$(CONFIG_SND_SOC_UDA134X)	+= snd-soc-uda134x.o
obj-$(CONFIG_SND_SOC_UDA1380)	+= snd-soc-uda1380.o
obj-$(CONFIG_SND_SOC_WM8350)	+= snd-soc-wm8350.o
obj-$(CONFIG_SND_SOC_WM8400)	+= snd-soc-wm8400.o
obj-$(CONFIG_SND_SOC_WM8510)	+= snd-soc-wm8510.o
obj-$(CONFIG_SND_SOC_WM8523)	+= snd-soc-wm8523.o
obj-$(CONFIG_SND_SOC_WM8580)	+= snd-soc-wm8580.o
obj-$(CONFIG_SND_SOC_WM8711)	+= snd-soc-wm8711.o
obj-$(CONFIG_SND_SOC_WM8728)	+= snd-soc-wm8728.o
obj-$(CONFIG_SND_SOC_WM8731)	+= snd-soc-wm8731.o
obj-$(CONFIG_SND_SOC_WM8750)	+= snd-soc-wm8750.o
obj-$(CONFIG_SND_SOC_WM8753)	+= snd-soc-wm8753.o
obj-$(CONFIG_SND_SOC_WM8776)	+= snd-soc-wm8776.o
obj-$(CONFIG_SND_SOC_WM8900)	+= snd-soc-wm8900.o
obj-$(CONFIG_SND_SOC_WM8903)	+= snd-soc-wm8903.o
obj-$(CONFIG_SND_SOC_WM8971)	+= snd-soc-wm8971.o
obj-$(CONFIG_SND_SOC_WM8974)	+= snd-soc-wm8974.o
obj-$(CONFIG_SND_SOC_WM8940)	+= snd-soc-wm8940.o
obj-$(CONFIG_SND_SOC_WM8960)	+= snd-soc-wm8960.o
obj-$(CONFIG_SND_SOC_WM8961)	+= snd-soc-wm8961.o
obj-$(CONFIG_SND_SOC_WM8988)	+= snd-soc-wm8988.o
obj-$(CONFIG_SND_SOC_WM8990)	+= snd-soc-wm8990.o
obj-$(CONFIG_SND_SOC_WM8993)	+= snd-soc-wm8993.o
obj-$(CONFIG_SND_SOC_WM9081)	+= snd-soc-wm9081.o
obj-$(CONFIG_SND_SOC_WM9705)	+= snd-soc-wm9705.o
obj-$(CONFIG_SND_SOC_WM9712)	+= snd-soc-wm9712.o
obj-$(CONFIG_SND_SOC_WM9713)	+= snd-soc-wm9713.o
obj-$(CONFIG_SND_SOC_WM_HUBS)	+= snd-soc-wm-hubs.o

# Amp
obj-$(CONFIG_SND_SOC_MAX9877)	+= snd-soc-max9877.o
obj-$(CONFIG_SND_SOC_TPA6130A2)	+= snd-soc-tpa6130a2.o

=== updates/alsa-driver/alsa-kernel/soc/s3c24xx/Makefile ===
# S3c24XX Platform Support
snd-soc-s3c24xx-objs := s3c24xx-pcm.o
snd-soc-s3c24xx-i2s-objs := s3c24xx-i2s.o
snd-soc-s3c2412-i2s-objs := s3c2412-i2s.o
snd-soc-s3c64xx-i2s-objs := s3c64xx-i2s.o
snd-soc-s3c2443-ac97-objs := s3c2443-ac97.o
snd-soc-s3c-i2s-v2-objs := s3c-i2s-v2.o

obj-$(CONFIG_SND_S3C24XX_SOC) += snd-soc-s3c24xx.o
obj-$(CONFIG_SND_S3C24XX_SOC_I2S) += snd-soc-s3c24xx-i2s.o
obj-$(CONFIG_SND_S3C2443_SOC_AC97) += snd-soc-s3c2443-ac97.o
obj-$(CONFIG_SND_S3C2412_SOC_I2S) += snd-soc-s3c2412-i2s.o
obj-$(CONFIG_SND_S3C64XX_SOC_I2S) += snd-soc-s3c64xx-i2s.o
obj-$(CONFIG_SND_S3C_I2SV2_SOC) += snd-soc-s3c-i2s-v2.o

# S3C24XX Machine Support
snd-soc-jive-wm8750-objs := jive_wm8750.o
snd-soc-neo1973-wm8753-objs := neo1973_wm8753.o
snd-soc-neo1973-gta02-wm8753-objs := neo1973_gta02_wm8753.o
snd-soc-smdk2443-wm9710-objs := smdk2443_wm9710.o
snd-soc-ln2440sbc-alc650-objs := ln2440sbc_alc650.o
snd-soc-s3c24xx-uda134x-objs := s3c24xx_uda134x.o
snd-soc-s3c24xx-simtec-objs := s3c24xx_simtec.o
snd-soc-s3c24xx-simtec-hermes-objs := s3c24xx_simtec_hermes.o
snd-soc-s3c24xx-simtec-tlv320aic23-objs := s3c24xx_simtec_tlv320aic23.o
snd-soc-smdk64xx-wm8580-objs := smdk64xx_wm8580.o

obj-$(CONFIG_SND_S3C24XX_SOC_JIVE_WM8750) += snd-soc-jive-wm8750.o
obj-$(CONFIG_SND_S3C24XX_SOC_NEO1973_WM8753) += snd-soc-neo1973-wm8753.o
obj-$(CONFIG_SND_S3C24XX_SOC_NEO1973_GTA02_WM8753) += snd-soc-neo1973-gta02-wm8753.o
obj-$(CONFIG_SND_S3C24XX_SOC_SMDK2443_WM9710) += snd-soc-smdk2443-wm9710.o
obj-$(CONFIG_SND_S3C24XX_SOC_LN2440SBC_ALC650) += snd-soc-ln2440sbc-alc650.o
obj-$(CONFIG_SND_S3C24XX_SOC_S3C24XX_UDA134X) += snd-soc-s3c24xx-uda134x.o
obj-$(CONFIG_SND_S3C24XX_SOC_SIMTEC) += snd-soc-s3c24xx-simtec.o
obj-$(CONFIG_SND_S3C24XX_SOC_SIMTEC_HERMES) += snd-soc-s3c24xx-simtec-hermes.o
obj-$(CONFIG_SND_S3C24XX_SOC_SIMTEC_TLV320AIC23) += snd-soc-s3c24xx-simtec-tlv320aic23.o
obj-$(CONFIG_SND_S3C64XX_SOC_WM8580) += snd-soc-smdk64xx-wm8580.o

=== updates/compat-wireless-2.6/drivers/net/usb/Makefile ===
#
# Makefile for USB Network drivers
#

obj-$(CONFIG_USB_NET_CDCETHER)	+= cdc_ether.o
obj-$(CONFIG_USB_NET_RNDIS_HOST)	+= rndis_host.o
obj-$(CONFIG_USB_USBNET)	+= usbnet.o

=== updates/compat-wireless-2.6/drivers/net/wireless/Makefile ===
#
# Makefile for the Linux Wireless network device drivers.
#

obj-$(CONFIG_IPW2100) += ipw2x00/
obj-$(CONFIG_IPW2200) += ipw2x00/

obj-$(CONFIG_AT76C50X_USB)      += at76c50x-usb.o

obj-$(CONFIG_B43)		+= b43/
obj-$(CONFIG_B43LEGACY)		+= b43legacy/
obj-$(CONFIG_ZD1211RW)		+= zd1211rw/
obj-$(CONFIG_RTL8180)		+= rtl818x/
obj-$(CONFIG_RTL8187)		+= rtl818x/

obj-$(CONFIG_USB_NET_RNDIS_WLAN)	+= rndis_wlan.o

obj-$(CONFIG_LIBERTAS)		+= libertas/

obj-$(CONFIG_LIBERTAS_THINFIRM)	+= libertas_tf/

obj-$(CONFIG_ADM8211)	+= adm8211.o

obj-$(CONFIG_MWL8K)	+= mwl8k.o

obj-$(CONFIG_IWLWIFI)	+= iwlwifi/
obj-$(CONFIG_RT2X00)	+= rt2x00/

obj-$(CONFIG_P54_COMMON)	+= p54/

obj-$(CONFIG_ATH_COMMON)	+= ath/

obj-$(CONFIG_MAC80211_HWSIM)	+= mac80211_hwsim.o

obj-$(CONFIG_WL12XX)	+= wl12xx/

obj-$(CONFIG_IWM)	+= iwmc3200wifi/

=== updates/compat-wireless-2.6/drivers/net/wireless/iwlwifi/Makefile ===
obj-$(CONFIG_IWLWIFI)	+= iwlcore.o
iwlcore-objs 		:= iwl-core.o iwl-eeprom.o iwl-hcmd.o iwl-power.o
iwlcore-objs 		+= iwl-rx.o iwl-tx.o iwl-sta.o iwl-calib.o
iwlcore-objs 		+= iwl-scan.o
iwlcore-$(CONFIG_IWLWIFI_DEBUGFS) += iwl-debugfs.o
iwlcore-$(CONFIG_IWLWIFI_LEDS) += iwl-led.o
iwlcore-$(CONFIG_IWLWIFI_SPECTRUM_MEASUREMENT) += iwl-spectrum.o

obj-$(CONFIG_IWLAGN)	+= iwlagn.o
iwlagn-objs		:= iwl-agn.o iwl-agn-rs.o

iwlagn-$(CONFIG_COMPAT_IWL4965) += iwl-4965.o
iwlagn-$(CONFIG_IWL5000) += iwl-5000.o
iwlagn-$(CONFIG_IWL5000) += iwl-6000.o
iwlagn-$(CONFIG_IWL5000) += iwl-1000.o

obj-$(CONFIG_IWL3945)	+= iwl3945.o
iwl3945-objs		:= iwl3945-base.o iwl-3945.o iwl-3945-rs.o iwl-3945-led.o

=== debian/changelog ===
linux-backports-modules-2.6.31 (2.6.31-14.16) karmic; urgency=low

  [ Colin Watson ]

  * Clean up sections in linux-backports-modules

  [ Tim Gardner ]

  * Added alsa-driver snapshot from Oct 12, 2009
    This creates linux-backports-modules-alsa-* as a binary package.
    The standard linux-backports-modules-* packages, though perhaps
    misnamed, still contain compat-wireless.
  * Update to stable compat-wireless-2.6.32-rc4
    compat-wireless is no longer based on wireless-testing, rather it
    is based on a stable upstream release.

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 14 Oct 2009 09:42:00 -0600

linux-backports-modules-2.6.31 (2.6.31-13.15) karmic; urgency=low

  [ Tim Gardner ]

  * Update wireless-testing to master-2009-10-08
  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Fri, 09 Oct 2009 06:15:01 -0600

linux-backports-modules-2.6.31 (2.6.31-12.14) karmic; urgency=low

  [ Tim Gardner ]

  * Update from wireless-testing master-2009-09-30
  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 05 Oct 2009 13:31:57 -0600

linux-backports-modules-2.6.31 (2.6.31-11.13) karmic; urgency=low

  [ Andy Whitcroft ]

  * Bump ABI

  [ Tim Gardner ]

  * Update compat-wireless to master-2009-09-23

 -- Andy Whitcroft <apw@canonical.com>  Thu, 17 Sep 2009 11:24:48 +0100

linux-backports-modules-2.6.31 (2.6.31-10.12) karmic; urgency=low

  [ Andy Whitcroft ]

  * Bump ABI
  * Updated wireless-testing to master-2009-09-04

 -- Andy Whitcroft <apw@canonical.com>  Mon, 07 Sep 2009 16:24:19 +0100

linux-backports-modules-2.6.31 (2.6.31-9.11) karmic; urgency=low

  [ Tim Gardner ]

  * Updated wireless-testing to master-2009-09-01

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 01 Sep 2009 17:58:50 -0600

linux-backports-modules-2.6.31 (2.6.31-9.10) karmic; urgency=low

  * Bump ABI

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 31 Aug 2009 17:56:44 -0600

linux-backports-modules-2.6.31 (2.6.31-8.9) karmic; urgency=low

  [ Tim Gardner ]

  * Bump ABI
  * Update wireless-testing to master-2009-08-26
  * v-i

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 31 Aug 2009 17:56:41 -0600

linux-backports-modules-2.6.31 (2.6.31-7.8) karmic; urgency=low

  [ Tim Gardner ]

  * Bump ABI
  * Update wireless-testing to master-2009-08-21

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 24 Aug 2009 11:16:50 -0600

linux-backports-modules-2.6.31 (2.6.31-6.7) karmic; urgency=low

  [ Tim Gardner ]

  * Bump ABI
  * Update wireless-testing to master-2009-08-14

 --  Tim Gardner <tim.gardner@canonical.com>  Sun, 16 Aug 2009 20:59:56 -0600

linux-backports-modules-2.6.31 (2.6.31-5.6) karmic; urgency=low

  [ Tim Gardner ]

  * Update wireless-testing to master-2009-07-29
  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 03 Aug 2009 10:36:20 -0600

linux-backports-modules-2.6.31 (2.6.31-4.5) karmic; urgency=low

  [ Andy Whitcroft ]

  * Update wireless-testing to master-2009-07-22
  * Bump ABI

 -- Andy Whitcroft <apw@canonical.com>  Thu, 23 Jul 2009 17:13:36 +0100

linux-backports-modules-2.6.31 (2.6.31-3.4) karmic; urgency=low

  [ Tim Gardner ]

  * Update to latest iwlwifi firmware
  * Update wireless-testing to master-2009-07-20
  * Stop munging symbol names, modprobe has worked correctly for awhile.

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 21 Jul 2009 12:41:54 -0600

linux-backports-modules-2.6.31 (2.6.31-3.3) karmic; urgency=low

  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 14 Jul 2009 07:08:09 -0600

linux-backports-modules-2.6.31 (2.6.31-2.2) karmic; urgency=low

  [ Andy Whitcroft ]

  * Update compat-wireless to master-2009-06-30
  * Bump ABI

 -- Andy Whitcroft <apw@canonical.com>  Sun, 05 Jul 2009 11:53:37 +0100

linux-backports-modules-2.6.31 (2.6.31-1.1) karmic; urgency=low

  [ Andy Whitcroft ]

  * Update compat-wireless to master-2009-06-19
  * Bump ABI
  * update compat-wireless to track changes to skb dst accessors
  * update compat-wireless to track changes to ALIGN(foo, NETDEV_ALIGN)
  * update compat-wireless to track removal of FIRMWARE_NAME_MAX

 -- Andy Whitcroft <apw@canonical.com>  Mon, 29 Jun 2009 08:49:55 +0100

linux-backports-modules-2.6.30 (2.6.30-10.6) karmic; urgency=low

  * Removed i386 server flavour
  * Added i386 generic-pae flavour
  * Update compat-wireless to master-2009-06-15
  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 16 Jun 2009 13:06:54 -0600

linux-backports-modules-2.6.30 (2.6.30-9.5) karmic; urgency=low

  [ Andy Whitcroft ]

  * Update wireless-testing/compat-wireless to master-2009-06-10

 -- Andy Whitcroft <apw@canonical.com>  Fri, 12 Jun 2009 18:39:20 +0100

linux-backports-modules-2.6.30 (2.6.30-9.4) karmic; urgency=low

  * Bump ABI

 -- Andy Whitcroft <apw@canonical.com>  Wed, 10 Jun 2009 14:01:04 +0100

linux-backports-modules-2.6.30 (2.6.30-8.3) karmic; urgency=low

  * Bump ABI

 -- Andy Whitcroft <apw@canonical.com>  Thu, 04 Jun 2009 11:08:18 +0100

linux-backports-modules-2.6.30 (2.6.30-5.2) karmic; urgency=low

  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 11 May 2009 13:48:46 -0600

linux-backports-modules-2.6.30 (2.6.30-2.1) karmic; urgency=low

  [Tim Gardner]

  * Initial upload for Karmic
  * Update wireless-testing/compat-wireless to master-2009-04-29

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 30 Apr 2009 10:09:49 -0600

=== debian/control ===
Source: linux-backports-modules-2.6.31
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.31-14-generic [i386 amd64], linux-headers-2.6.31-14-generic-pae [i386], linux-headers-2.6.31-14-lpia [lpia], linux-headers-2.6.31-14-server [amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-karmic-lbm.git

Package: linux-headers-lbm-2.6.31-14
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.31
 This package provides linux-ubuntu-modules header files for version 2.6.31, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.31-14/debian.README.gz for details

Package: linux-backports-modules-2.6.31-14-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.31-14-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.31 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.31 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.31-14-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.31-14-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.31
 This package provides linux-backports-modules header files for version 2.6.31, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.31-14/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.31-14-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.31-14-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.31 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.31 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.


Package: linux-backports-modules-2.6.31-14-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.31-14-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.31 on x86
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.31 on
 x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-generic-pae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.31-14-generic-pae
Architecture: i386
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.31-14-generic-pae
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.31
 This package provides linux-backports-modules header files for version 2.6.31, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.31-14/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.31-14-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.31-14-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.31 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.31 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-generic-pae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.


Package: linux-backports-modules-2.6.31-14-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.31-14-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.31 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.31 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.31-14-lpia
Architecture: lpia
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.31-14-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.31
 This package provides linux-backports-modules header files for version 2.6.31, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.31-14/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.31-14-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.31-14-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.31 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.31 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.


Package: linux-backports-modules-2.6.31-14-server
Architecture: amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.31-14-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.31 on x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.31 on
 x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.31-14-server
Architecture: amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.31-14-server
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.31
 This package provides linux-backports-modules header files for version 2.6.31, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.31-14/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.31-14-server
Architecture: amd64
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.31-14-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.31 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.31 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.
